Name:           python-dumptruck
Version:        0.1.6
Release:        3%{?dist}
Summary:        Relaxing interface to SQLite

License:        MIT
URL:            https://pypi.python.org/pypi/dumptruck
Source0:        https://pypi.python.org/packages/source/d/dumptruck/dumptruck-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

%description
DumpTruck is a document-like interface to a SQLite database.


%prep
%setup -q -n dumptruck-%{version}
find -name '*.py' |xargs sed '/^#!/d' -i


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%{python2_sitelib}/*
%doc README.txt


%changelog
* Wed Aug 06 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-3
- Use versioned macro for sitelib too (Christopher Meng, #1123400)

* Tue Aug 05 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-2
- Use versioned macro & BR for Python 2 (Christopher Meng, #1123400)

* Fri Jul 25 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-1
- Initial packaging
